Get analytics metadata

View as Markdown

Returns a catalog of analytics resources and their corresponding metrics for use with the GET /analytics endpoint. These metrics provide insights on API usage, success, workspace, and team trends in Postman.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

includestringOptional

A comma-separated list of the additional information to include in the response. Accepts the parameters and response values.

When you pass this query parameter and its values, the response provides detailed information, including parameters and response schemas for the given metrics.

resourcesstringOptional

A comma-separated list of resource types to filter the metrics by. Accepts the user, workspace, team, and ai values.

metricsenumOptional

A comma-separated list of metrics values to use to filter the response.

If you don’t pass this query parameter, then the response returns all metadata for all available metrics.

Response

Successful Response
dataobject
The Analytics API's metadata information.

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error